# Ngraphオブジェクト

- 概要
- Ngraphオブジェクト一覧

## 概要

Ngraphで描画されるグラフはNgraphオブジェクトの集合から成り立っています。
Ngraphでのグラフの作成は, グラフを構成するNgraphオブジェクトのフィールド値を設定することにより行われます。
フィールド値の設定は, メニューやダイアログボックスでの指定, あるいは *.ngp ファイルに記述されしたスクリプトをインタープリタで実行して行われます。

- オブジェクトの一覧を表示するには[Graph]-[Ngraph shell]でスクリプト・インタープリタを起動し、object コマンドを実行して見る事ができます。
- オブジェクトのフィールドを表示するには object object_name と object コマンドの引数にオブジェクト名を指定します。

Ngraphオブジェクト階層

    object
            system
            shell
            gra
            gra2
                    gra2null
                    gra2file
                    gra2prn
                    gra2cairo
                            gra2cairofile
                            gra2gtkprint
                            gra2gtk
                            gra2gdk
                            menu
            io
            int
            double
            string
            regexp
            iarray
            darray
            sarray
            math
            fit
            prm
            draw
                    axisgrid
                    axis
                    data
                    merge
                    legend
                            rectangle
                            arc
                            path
                            mark
                            text
            dialog

## Ngraphオブジェクト一覧

各オブジェクトのフィールド一覧を示します。

### object

    object: object
    version: 1.00.00
    parent: (null)
    object id: 1
    number of fields: 6
    size of instance: 32

permission | field name | field type
--- | --- | ---
--x | init | void( )
--x | done | void( )
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )

### system

    object: system
    version: 6.07.02
    parent: object
    object id: 2
    number of fields: 38
    size of instance: 264

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
r-- | name | char*
r-- | version | char*
r-- | copyright | char*
r-- | e-mail | char*
r-- | web | char*
r-- | compiler | char*
rw- | login_shell | char*
rw- | cwd | char*
rw- | ignore_path | bool
rw- | expand_file | bool
rw- | expand_dir | char*
r-- | GRAF | char*
r-- | temp_prefix | char*
r-- | conf_dir | char*
r-- | data_dir | char*
r-- | doc_dir | char*
r-- | lib_dir | char*
r-- | plugin_dir | char*
r-- | home_dir | char*
r-- | pid | int
r-x | time | char*( int )
r-x | date | char*( int )
r-x | temp_file | char*( void )
r-- | temp_list | char*[]
r-x | unlink_temp_file | void( )
r-x | hide_instance | void( char*[] )
r-x | recover_instance | void( char*[] )
r-x | resize | void( int[] )
r-x | plugin_check | int( char* )
r-x | plugin_load | int( char* )
r-x | plugin_exec | int( )
r-x | plugin_module | char*( char* )
r-x | plugins | char*[]( void )

### shell

    object: shell
    version: 1.00.00
    parent: object
    object id: 3
    number of fields: 10
    size of instance: 48

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
r-x | shell | void( char*[] )
--- | security | void( bool )
--- | _local | void*

### gra

    object: gra
    version: 1.00.00
    parent: object
    object id: 4
    number of fields: 22
    size of instance: 120

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | device | obj
r-x | open | int( void )
r-x | close | void( void )
rw- | left_margin | int
rw- | top_margin | int
rw- | zoom | int
rw- | paper_width | int
rw- | paper_height | int
rw- | draw_obj | char*[]
r-- | GC | int
r-x | redraw | void( void )
r-x | flush | void( void )
r-x | clear | void( void )
r-- | _device | char*
r-x | draw | void( void )

### gra2

    object: gra2
    version: 1.00.00
    parent: object
    object id: 5
    number of fields: 11
    size of instance: 56

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )

### gra2null

    object: gra2null
    version: 1.00.00
    parent: gra2
    object id: 6
    number of fields: 15
    size of instance: 88

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
--x | init | void( )
--x | done | void( )
--- | next | void*
--- | _strwidth | int( )
--- | _charascent | int( )
--- | _chardescent | int( )

### gra2file

    object: gra2file
    version: 1.00.00
    parent: gra2
    object id: 7
    number of fields: 15
    size of instance: 80

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | file | char*
--- | _local | void*
--- | _output | void( )

### gra2prn

    object: gra2prn
    version: 1.00.00
    parent: gra2
    object id: 8
    number of fields: 17
    size of instance: 96

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | driver | char*
rw- | option | char*
rw- | prn | char*
--- | _local | void*
--- | _output | void( )

### gra2cairo

    object: gra2cairo
    version: 1.00.00
    parent: gra2
    object id: 9
    number of fields: 22
    size of instance: 128

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
--- | init | void( )
--- | done | void( )
rw- | dpi | int
rw- | dpix | int
rw- | dpiy | int
r-x | flush | void( void )
rw- | antialias | enum( none default gray )
rw- | use_opacity | bool
--- | _output | void( )
--- | _strwidth | int( )
--- | _charascent | int( )
--- | _chardescent | int( )
--- | _local | void*

### gra2cairofile

    object: gra2cairofile
    version: 1.00.00
    parent: gra2cairo
    object id: 10
    number of fields: 26
    size of instance: 184

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
rw- | dpi | int
rw- | dpix | int
rw- | dpiy | int
r-x | flush | void( void )
rw- | antialias | enum( none default gray )
rw- | use_opacity | bool
--- | _local | void*
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | file | char*
rw- | text2path | bool
rw- | format | enum( ps2 ps3 eps2 eps3 pdf svg1.1 svg1.2 png )
--- | _output | void( )
--- | _strwidth | int( )
--- | _charascent | int( )
--- | _chardescent | int( )

### gra2gtkprint

    object: gra2gtkprint
    version: 1.00.00
    parent: gra2cairo
    object id: 11
    number of fields: 23
    size of instance: 128

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
rw- | dpi | int
rw- | dpix | int
rw- | dpiy | int
r-x | flush | void( void )
rw- | antialias | enum( none default gray )
rw- | use_opacity | bool
--- | _output | void( )
--- | _strwidth | int( )
--- | _charascent | int( )
--- | _chardescent | int( )
--- | _local | void*
--x | init | void( )
--x | done | void( )
--- | _context | void( )

### gra2gtk

    object: gra2gtk
    alias: gra2win:gra2x11
    version: 1.00.00
    parent: gra2cairo
    object id: 12
    number of fields: 36
    size of instance: 256

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
rw- | antialias | enum( none default gray )
rw- | use_opacity | bool
--- | _local | void*
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | dpi | int
rw- | dpix | int
rw- | dpiy | int
rw- | width | int
rw- | height | int
rw- | fit | bool
rw- | frame | bool
r-x | expose | void( void )
r-x | flush | void( void )
r-x | clear | void( void )
r-x | present | void( void )
r-x | fullscreen | void( bool )
rw- | BR | int
rw- | BG | int
rw- | BB | int
r-x | wait_action | char*( void )
--- | _gtklocal | void*
--- | _output | void( )
--- | _strwidth | int( )
--- | _charascent | int( )
--- | _chardescent | int( )
--- | _evloop | void( )

### gra2gdk

    object: gra2gdk
    version: 1.00.00
    parent: gra2cairo
    object id: 13
    number of fields: 23
    size of instance: 136

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-x | clear | void( void )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
rw- | dpi | int
rw- | dpix | int
rw- | dpiy | int
r-x | flush | void( void )
rw- | antialias | enum( none default gray )
rw- | use_opacity | bool
--- | _output | void( )
--- | _strwidth | int( )
--- | _charascent | int( )
--- | _chardescent | int( )
--- | _local | void*
--x | init | void( )
--x | done | void( )
--- | next | void*

### menu

    object: menu
    alias: winmenu:gtkmenu
    version: 1.00.00
    parent: gra2cairo
    object id: 36
    number of fields: 47
    size of instance: 232

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
r-- | _list | char*[]
r-- | _GC | int
rw- | delete_gra | bool
r-x | disconnect | void( void )
rw- | dpix | int
rw- | dpiy | int
rw- | antialias | enum( none default gray )
--- | _output | void( )
--- | _strwidth | int( )
--- | _charascent | int( )
--- | _chardescent | int( )
--- | _local | void*
--x | init | void( )
--x | done | void( )
r-x | menu | void( char* )
rw- | ngp | char*
rw- | fullpath_ngp | char*
rw- | data_head_lines | int
rw- | modified | bool
rw- | dpi | int
rw- | redraw_flag | bool
rw- | redraw_num | int
rw- | use_opacity | bool
r-x | redraw | void( void )
r-x | draw | void( void )
r-x | flush | void( void )
r-x | clear | void( void )
r-x | focused | char*[]( char*[] )
r-x | print | void( bool int )
r-x | echo | void( char* )
r-x | cat | void( char* )
r-x | clear_info | void( void )
r-x | show_window | void( int )
r-x | hide_window | void( int )
r-x | toggle_window | void( int )
r-x | get_accel_map | char*( void )
r-x | lib_version | char*( )
r-x | focus | void( obj )
r-x | unfocus | void( void )
r-x | locale | char*( void )
r-x | active | bool( void )
r-x | addin_list_append | void( obj )
--- | _evloop | void( )

### io

    object: io
    version: 1.00.00
    parent: object
    object id: 14
    number of fields: 25
    size of instance: 128

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
r-- | file | char*
rw- | mode | char*
r-x | open | void( char* )
r-x | popen | void( char* )
r-x | close | void( void )
r-x | puts | void( char* )
r-x | putc | int( int )
r-x | gets | char*( void )
r-x | getc | int( void )
r-x | read | char*( int )
r-x | write | int( char* )
rw- | whence | enum( set cur end )
r-x | seek | void( int )
r-x | tell | int( void )
r-x | rewind | void( void )
r-x | flush | void( void )
r-x | eof | bool( void )
--- | _local | void*

### int

    object: int
    version: 1.00.00
    parent: object
    object id: 15
    number of fields: 11
    size of instance: 72

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | @ | int
r-x | times | int( void )
r-x | inc | int( void )
r-x | dec | int( void )

### double

    object: double
    version: 1.00.00
    parent: object
    object id: 16
    number of fields: 8
    size of instance: 48

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | @ | double

### string

    object: string
    version: 1.00.00
    parent: object
    object id: 17
    number of fields: 19
    size of instance: 136

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | @ | char*
r-- | length | int
r-- | byte | int
r-x | strip | char*( void )
r-x | upcase | char*( void )
r-x | downcase | char*( void )
r-x | reverse | char*( void )
r-x | slice | char*( int int )
r-x | match | bool( char* )
r-x | replace | char*( char* char* )
r-x | index | int( char* int )
r-x | rindex | int( char* int )

### regexp

    object: regexp
    version: 1.00.00
    parent: object
    object id: 18
    number of fields: 15
    size of instance: 104

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | @ | char*
r-x | match | int( char* )
r-x | replace | char*( char* char* )
r-x | get | char*( int int )
r-x | num | int( void )
r-x | seq | char*( void )
r-x | rseq | char*( void )
--- | _local | void*

### iarray

    object: iarray
    version: 1.00.00
    parent: object
    object id: 19
    number of fields: 33
    size of instance: 152

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | @ | int[]
r-x | get | int( int )
r-x | put | void( int int )
r-x | add | void( int )
r-x | push | void( int )
r-x | pop | int( void )
r-x | ins | void( int int )
r-x | unshift | void( int )
r-x | shift | int( void )
r-x | del | void( int )
r-x | join | char*( char* )
r-x | sort | void( void )
r-x | rsort | void( void )
r-x | uniq | void( void )
r-x | sum | int( void )
r-x | average | double( void )
r-x | sdev | double( void )
r-x | RMS | double( void )
r-x | min | int( void )
r-x | max | int( void )
r-x | num | int( void )
r-x | seq | char*( void )
r-x | rseq | char*( void )
r-x | reverse | void( void )
r-x | slice | void( int int )
r-x | map | void( char* )

### darray

    object: darray
    version: 1.00.00
    parent: object
    object id: 20
    number of fields: 34
    size of instance: 160

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | @ | double[]
r-x | get | double( int )
r-x | put | void( int double )
r-x | add | void( double )
r-x | push | void( double )
r-x | pop | double( void )
r-x | ins | void( int double )
r-x | unshift | void( double )
r-x | shift | double( void )
r-x | del | void( int )
r-x | join | char*( char* )
r-x | sort | void( void )
r-x | rsort | void( void )
r-x | uniq | void( void )
r-x | sum | double( void )
r-x | average | double( void )
r-x | sdev | double( void )
r-x | RMS | double( void )
r-x | min | double( void )
r-x | max | double( void )
r-x | num | int( void )
r-x | seq | char*( void )
r-x | rseq | char*( void )
r-x | reverse | void( void )
r-x | slice | void( int int )
r-x | map | void( char* )
--- | _local | void*

### sarray

    object: sarray
    version: 1.00.00
    parent: object
    object id: 21
    number of fields: 29
    size of instance: 128

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | @ | char*[]
rw- | delimiter | char*
r-x | get | char*( int )
r-x | put | void( int char* )
r-x | add | void( char* )
r-x | push | void( char* )
r-x | pop | char*( void )
r-x | ins | void( int char* )
r-x | unshift | void( char* )
r-x | shift | char*( void )
r-x | del | void( int )
r-x | split | void( char* )
r-x | join | char*( char* )
r-x | sort | void( char* )
r-x | rsort | void( char* )
r-x | uniq | char*( void )
r-x | num | int( void )
r-x | seq | char*( void )
r-x | rseq | char*( void )
r-x | reverse | void( void )
r-x | slice | void( int int )
--- | _local | void*

### math

    object: math
    version: 1.00.00
    parent: object
    object id: 22
    number of fields: 18
    size of instance: 120

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | formula | char*
rw- | f | char*
rw- | g | char*
rw- | h | char*
rw- | x | double
rw- | y | double
rw- | z | double
r-- | status | enum( noerr err nan undef syntax cont break nonum eof )
r-x | calc | double( double[] )
r-x | clear | void( void )
--- | _local | void*

### fit

    object: fit
    version: 1.00.01
    parent: object
    object id: 23
    number of fields: 59
    size of instance: 448

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | profile | char*
rw- | type | enum( poly pow exp log user )
rw- | min | double
rw- | max | double
rw- | div | int
rw- | interpolation | bool
rw- | through_point | bool
rw- | point_x | double
rw- | point_y | double
rw- | equation | char*
rw- | poly_dimension | int
rw- | weight_func | char*
rw- | user_func | char*
rw- | derivative | bool
rw- | derivative0 | char*
rw- | derivative1 | char*
rw- | derivative2 | char*
rw- | derivative3 | char*
rw- | derivative4 | char*
rw- | derivative5 | char*
rw- | derivative6 | char*
rw- | derivative7 | char*
rw- | derivative8 | char*
rw- | derivative9 | char*
rw- | converge | double
rw- | parameter0 | double
rw- | parameter1 | double
rw- | parameter2 | double
rw- | parameter3 | double
rw- | parameter4 | double
rw- | parameter5 | double
rw- | parameter6 | double
rw- | parameter7 | double
rw- | parameter8 | double
rw- | parameter9 | double
r-- | %00 | double
r-- | %01 | double
r-- | %02 | double
r-- | %03 | double
r-- | %04 | double
r-- | %05 | double
r-- | %06 | double
r-- | %07 | double
r-- | %08 | double
r-- | %09 | double
r-- | number | int
r-- | error | double
r-- | correlation | double
rw- | display | bool
r-x | fit | void( double[] )
r-x | calc | double( double )
--- | _local | void*

### prm

    object: prm
    version: 1.00.00
    parent: object
    object id: 24
    number of fields: 10
    size of instance: 56

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | file | char*
rw- | ignore_path | bool
r-x | load | void( void )

### draw

    object: draw
    version: 1.00.00
    parent: object
    object id: 25
    number of fields: 17
    size of instance: 104

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | init | void( )
--- | done | void( )
--- | GC | int
rw- | hidden | bool
r-x | draw | void( int )
r-x | redraw | void( int )
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int

### axisgrid

    object: axisgrid
    version: 1.00.00
    parent: draw
    object id: 26
    number of fields: 35
    size of instance: 232

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | GC | int
rw- | hidden | bool
r-x | redraw | void( int )
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | axis_x | obj
rw- | axis_y | obj
rw- | grid_x | bool
rw- | grid_y | bool
rw- | width1 | int
rw- | style1 | int[]
rw- | width2 | int
rw- | style2 | int[]
rw- | width3 | int
rw- | style3 | int[]
rw- | background | bool
rw- | BR | int
rw- | BG | int
rw- | BB | int
rw- | BA | int
r-x | draw | void( int )
r-x | tight | void( void )
r-x | hsb | void( double double double )

### axis

    object: axis
    version: 1.00.00
    parent: draw
    object id: 27
    number of fields: 106
    size of instance: 680

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
--- | GC | int
rw- | hidden | bool
r-x | redraw | void( int )
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
r-- | group | char*
rw- | min | double
rw- | max | double
rw- | inc | double
rw- | div | int
rw- | type | enum( linear log inverse MJD )
rw- | x | int
rw- | y | int
rw- | direction | int
rw- | baseline | bool
rw- | length | int
rw- | width | int
rw- | style | int[]
rw- | auto_scale_margin | int
rw- | adjust_axis | obj
rw- | adjust_position | int
rw- | arrow | enum( none end begin both )
rw- | arrow_length | int
rw- | arrow_width | int
rw- | wave | enum( none end begin both )
rw- | wave_length | int
rw- | wave_width | int
rw- | reference | obj
rw- | gauge | enum( none both left right )
rw- | gauge_min | double
rw- | gauge_max | double
rw- | gauge_style | int[]
rw- | gauge_length1 | int
rw- | gauge_width1 | int
rw- | gauge_length2 | int
rw- | gauge_width2 | int
rw- | gauge_length3 | int
rw- | gauge_width3 | int
rw- | gauge_R | int
rw- | gauge_G | int
rw- | gauge_B | int
rw- | gauge_A | int
rw- | num | enum( none left right )
rw- | num_begin | int
rw- | num_step | int
rw- | num_num | int
rw- | num_auto_norm | int
rw- | num_head | char*
rw- | num_format | char*
rw- | num_tail | char*
rw- | num_log_pow | bool
rw- | num_pt | int
rw- | num_space | int
rw- | num_font | char*
rw- | num_font_style | int
rw- | num_script_size | int
rw- | num_align | enum( center left right point )
rw- | num_no_zero | bool
rw- | num_direction | enum( horizontal parallel1 parallel2 normal1 normal2 oblique1 oblique2 )
rw- | num_shift_p | int
rw- | num_shift_n | int
rw- | num_R | int
rw- | num_G | int
rw- | num_B | int
rw- | num_A | int
rw- | num_date_format | char*
rw- | num_math | char*
r-x | scale_push | void( void )
r-x | scale_pop | void( void )
r-- | scale_history | double[]
r-x | scale | void( double double int )
r-x | auto_scale | void( obj )
r-x | get_auto_scale | double[]( obj )
r-x | clear | void( void )
r-x | adjust | void( void )
r-x | draw | void( int )
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | rotate | void( int int int int )
r-x | flip | void( int int int )
r-x | change | void( int int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )
r-x | coordinate | double( int int )
r-x | tight | void( void )
r-x | grouping | void( int[] )
r-x | default_grouping | void( int[] )
r-x | group_position | void( int[] )
r-x | group_manager | int( void )
r-x | get_numbering | char*[]( void )
r-x | save | char*( char*[] )
r-x | hsb | void( double double double )
r-x | gauge_hsb | void( double double double )
r-x | num_hsb | void( double double double )
-w- | num_jfont | char*

### data

    object: data
    alias: file
    version: 1.00.00
    parent: draw
    object id: 28
    number of fields: 128
    size of instance: 864

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
--- | GC | int
rw- | hidden | bool
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | source | enum( file array range )
rw- | file | char*
rw- | save_path | enum( unchange full relative base )
rw- | x | int
rw- | y | int
rw- | type | enum( mark line polygon polygon_solid_fill curve diagonal arrow rectangle rectangle_fill rectangle_solid_fill errorbar_x errorbar_y staircase_x staircase_y bar_x bar_y bar_fill_x bar_fill_y bar_solid_fill_x bar_solid_fill_y fit )
rw- | interpolation | enum( spline spline_close bspline bspline_close )
rw- | fit | obj
rw- | math_x | char*
rw- | math_y | char*
rw- | func_f | char*
rw- | func_g | char*
rw- | func_h | char*
rw- | smooth_x | int
rw- | smooth_y | int
rw- | mark_type | int
rw- | mark_size | int
rw- | line_width | int
rw- | line_style | int[]
rw- | line_join | enum( miter round bevel )
rw- | line_miter_limit | int
rw- | R2 | int
rw- | G2 | int
rw- | B2 | int
rw- | A2 | int
rw- | remark | char*
rw- | ifs | char*
rw- | csv | bool
rw- | head_skip | int
rw- | read_step | int
rw- | final_line | int
rw- | mask | int[]
rw- | move_data | int[]
rw- | move_data_x | double[]
rw- | move_data_y | double[]
r-x | move_data_adjust | void( void )
rw- | axis_x | obj
rw- | axis_y | obj
rw- | data_clip | bool
r-x | dnum | char*( void )
r-x | dminx | char*( void )
r-x | dmaxx | char*( void )
r-x | davx | char*( void )
r-x | dsigx | char*( void )
r-x | dminy | char*( void )
r-x | dmaxy | char*( void )
r-x | davy | char*( void )
r-x | dsigy | char*( void )
r-x | dx | char*( int )
r-x | dy | char*( int )
r-x | d2 | char*( int )
r-x | d3 | char*( int )
r-- | data_num | int
r-- | data_x | double
r-- | data_y | double
r-- | data_2 | double
r-- | data_3 | double
r-- | coord_x | int
r-- | coord_y | int
r-- | coord_2 | int
r-- | coord_3 | int
r-- | stat_x | enum( noerr err nan undef syntax cont break nonum eof )
r-- | stat_y | enum( noerr err nan undef syntax cont break nonum eof )
r-- | stat_2 | enum( noerr err nan undef syntax cont break nonum eof )
r-- | stat_3 | enum( noerr err nan undef syntax cont break nonum eof )
r-- | minx | double
r-- | maxx | double
r-- | miny | double
r-- | maxy | double
r-- | stat_minx | enum( noerr err nan undef syntax cont break nonum eof )
r-- | stat_maxx | enum( noerr err nan undef syntax cont break nonum eof )
r-- | stat_miny | enum( noerr err nan undef syntax cont break nonum eof )
r-- | stat_maxy | enum( noerr err nan undef syntax cont break nonum eof )
r-- | line | int
r-x | draw | void( int )
r-x | getcoord | int[]( double double )
r-x | redraw | void( int )
r-x | opendata | void( void )
r-x | opendatac | void( void )
r-x | getdata | void( void )
r-x | closedata | void( void )
--x | opendata_raw | void( void )
--x | getdata_raw | double[]( int[] )
--x | closedata_raw | void( void )
r-x | column | char*( int int )
r-x | basename | char*( void )
r-x | head_lines | char*( int )
r-x | boundings | void( bool )
r-x | bounding | double[]( obj )
r-x | load_settings | void( void )
r-x | time | char*( int )
r-x | date | char*( int )
r-x | save | char*( char*[] )
r-x | evaluate | double[]( int int int int int int )
r-x | store_data | char*( void )
r-x | load_data | void( char* )
r-x | store_dummy | char*( void )
r-x | load_dummy | void( char* )
r-x | tight | void( void )
r-x | save_config | void( void )
r-x | output_file | void( char* int bool )
--x | modified | void( void )
r-x | hsb | void( double double double )
r-x | hsb2 | void( double double double )
r-x | fit_newton | char*( double[] )
r-x | fit_bisection | char*( double[] )
r-x | fit_calc | char*( double )
r-x | fit_prm | char*( int )
--- | _local | void*
rw- | range_min | double
rw- | range_max | double
rw- | range_div | int
rw- | array | obj

### merge

    object: merge
    version: 1.00.00
    parent: draw
    object id: 29
    number of fields: 37
    size of instance: 240

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
--- | GC | int
rw- | hidden | bool
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | file | char*
rw- | save_path | enum( unchange full relative base )
rw- | top_margin | int
rw- | left_margin | int
rw- | zoom | int
r-x | draw | void( int )
r-x | redraw | void( int )
r-x | save | char*( char*[] )
r-x | store_data | char*( void )
r-x | load_data | void( char* )
r-x | store_dummy | char*( void )
r-x | load_dummy | void( char* )
r-x | time | char*( int )
r-x | date | char*( int )
r-- | line_num | int
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )
r-- | ext | char*
--- | _local | void*
-w- | symbol_greek | bool

### legend

    object: legend
    version: 1.00.00
    parent: draw
    object id: 30
    number of fields: 21
    size of instance: 120

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | GC | int
rw- | hidden | bool
r-x | draw | void( int )
r-x | redraw | void( int )
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--- | init | void( )
--- | done | void( )
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )

### rectangle

    object: rectangle
    version: 1.00.00
    parent: legend
    object id: 31
    number of fields: 47
    size of instance: 336

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | GC | int
rw- | hidden | bool
r-x | redraw | void( int )
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | x1 | int
rw- | y1 | int
rw- | x2 | int
rw- | y2 | int
rw- | stroke_R | int
rw- | stroke_G | int
rw- | stroke_B | int
rw- | stroke_A | int
rw- | fill_R | int
rw- | fill_G | int
rw- | fill_B | int
rw- | fill_A | int
rw- | fill | bool
rw- | stroke | bool
rw- | width | int
rw- | style | int[]
r-x | draw | void( int )
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | rotate | void( int int int int )
r-x | flip | void( int int int )
r-x | change | void( int int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )
r-x | fill_hsb | void( double double double )
r-x | stroke_hsb | void( double double double )
-w- | frame | bool
-w- | R | int
-w- | G | int
-w- | B | int
-w- | A | int
-w- | R2 | int
-w- | G2 | int
-w- | B2 | int

### arc

    object: arc
    version: 1.00.00
    parent: legend
    object id: 32
    number of fields: 49
    size of instance: 352

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | GC | int
rw- | hidden | bool
r-x | redraw | void( int )
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | x | int
rw- | y | int
rw- | rx | int
rw- | ry | int
rw- | angle1 | int
rw- | angle2 | int
rw- | pieslice | bool
rw- | fill_R | int
rw- | fill_G | int
rw- | fill_B | int
rw- | fill_A | int
rw- | stroke_R | int
rw- | stroke_G | int
rw- | stroke_B | int
rw- | stroke_A | int
rw- | fill | bool
rw- | stroke | bool
rw- | close_path | bool
rw- | width | int
rw- | style | int[]
rw- | join | enum( miter round bevel )
rw- | miter_limit | int
r-x | draw | void( int )
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | rotate | void( int int int int )
r-x | flip | void( int int int )
r-x | change | void( int int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )
r-x | fill_hsb | void( double double double )
r-x | stroke_hsb | void( double double double )
-w- | R | int
-w- | G | int
-w- | B | int
-w- | A | int

### path

    object: path
    alias: line:curve:polygon
    version: 1.00.01
    parent: legend
    object id: 33
    number of fields: 50
    size of instance: 360

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | GC | int
rw- | hidden | bool
r-x | redraw | void( int )
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | type | enum( line curve )
rw- | points | int[]
r-- | _points | int[]
rw- | interpolation | enum( spline spline_close bspline bspline_close )
rw- | fill_R | int
rw- | fill_G | int
rw- | fill_B | int
rw- | fill_A | int
rw- | stroke_R | int
rw- | stroke_G | int
rw- | stroke_B | int
rw- | stroke_A | int
rw- | fill | enum( false true )
rw- | fill_rule | enum( even_odd_rule winding_rule )
rw- | stroke | bool
rw- | close_path | bool
rw- | width | int
rw- | style | int[]
rw- | join | enum( miter round bevel )
rw- | miter_limit | int
rw- | arrow | enum( none end begin both )
rw- | arrow_length | int
rw- | arrow_width | int
r-x | draw | void( int )
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | rotate | void( int int int int )
r-x | flip | void( int int int )
r-x | change | void( int int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )
r-x | fill_hsb | void( double double double )
r-x | stroke_hsb | void( double double double )
-w- | R | int
-w- | G | int
-w- | B | int
-w- | A | int

### mark

    object: mark
    version: 1.00.00
    parent: legend
    object id: 34
    number of fields: 36
    size of instance: 224

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | GC | int
rw- | hidden | bool
r-x | redraw | void( int )
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | x | int
rw- | y | int
rw- | size | int
rw- | type | int
rw- | R2 | int
rw- | G2 | int
rw- | B2 | int
rw- | A2 | int
rw- | width | int
rw- | style | int[]
r-x | draw | void( int )
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | rotate | void( int int int int )
r-x | flip | void( int int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )
r-x | hsb | void( double double double )
r-x | hsb2 | void( double double double )

### text

    object: text
    version: 1.00.00
    parent: legend
    object id: 35
    number of fields: 37
    size of instance: 240

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--- | GC | int
rw- | hidden | bool
r-x | redraw | void( int )
rw- | R | int
rw- | G | int
rw- | B | int
rw- | A | int
rw- | clip | bool
rw- | redraw_flag | bool
--- | redraw_num | int
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | text | char*
rw- | x | int
rw- | y | int
rw- | pt | int
rw- | font | char*
rw- | style | int
rw- | space | int
rw- | direction | int
rw- | script_size | int
rw- | raw | bool
r-x | draw | void( int )
r-x | printf | char*( char*[] )
r-x | bbox | int[]( void )
r-x | move | void( int int )
r-x | rotate | void( int int int int )
r-x | zooming | void( int int int int )
r-x | match | bool( int int int int int )
r-x | save_config | void( void )
r-x | hsb | void( double double double )
-w- | jfont | char*

### dialog

    object: dialog
    version: 1.00.00
    parent: object
    object id: 37
    number of fields: 26
    size of instance: 176

permission | field name | field type
--- | --- | ---
r-- | id | int
r-- | oid | int
rw- | name | char*
r-x | save | char*( char*[] )
--x | init | void( )
--x | done | void( )
--- | next | void*
rw- | x | int
rw- | y | int
rw- | title | char*
rw- | caption | char*
rw- | select | int[]
r-x | yesno | int( char* )
r-x | message | void( char* )
r-x | input | char*( char* )
r-x | radio | int( char*[] )
r-x | check | int[]( char*[] )
r-x | button | char*( char*[] )
r-x | combo | char*( char*[] )
r-x | combo_entry | char*( char*[] )
r-x | double_entry | double( double double double double )
r-x | integer_entry | int( int int int int )
r-x | beep | void( void )
r-x | get_open_file | char*( char*[] )
r-x | get_open_files | char*[]( char*[] )
r-x | get_save_file | char*( char*[] )